Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey Struct Reference

`#include <ArraySampleKey.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey:
[legend]

## Public Member Functions

bool | operator== (const ArraySampleKey &iRhs) const
bool | operator< (const ArraySampleKey &iRhs) const

## Public Attributes

uint64_t | numBytes
| total number of bytes of the sample as originally stored
PlainOldDataType | origPOD
| Original POD as stored.
PlainOldDataType | readPOD
| POD used at read time.
Digest | digest

## Detailed Description

Definition at line 47 of file ArraySampleKey.h.

## Member Function Documentation

## operator<()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::operator< | ( | const ArraySampleKey & | iRhs | ) | const

inline

Definition at line 68 of file ArraySampleKey.h.

References digest, numBytes, origPOD, and readPOD.

## operator==()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::operator== | ( | const ArraySampleKey & | iRhs | ) | const

inline

Definition at line 60 of file ArraySampleKey.h.

References digest, numBytes, origPOD, and readPOD.

## Member Data Documentation

## digest

Digest Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::digest

Definition at line 58 of file ArraySampleKey.h.

Referenced by operator<(), operator==(), and Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::StdHash().

## numBytes

uint64_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::numBytes

total number of bytes of the sample as originally stored

Definition at line 50 of file ArraySampleKey.h.

Referenced by operator<(), and operator==().

## origPOD

PlainOldDataType Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::origPOD

Original POD as stored.

Definition at line 53 of file ArraySampleKey.h.

Referenced by operator<(), and operator==().

## readPOD

PlainOldDataType Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKey::readPOD

POD used at read time.

Definition at line 56 of file ArraySampleKey.h.

Referenced by operator<(), and operator==().

The documentation for this struct was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ArraySampleKey.h